Subject: heap allocation on Windows Vista

From: agneray christian <[email-masked]>
Date: Sun, 12 Dec 2010 16:17:58 +0000 (GMT)

Hello,
Now, I'm changing my desktop from XP , to Vista (I can test
on both during the migration process)

My script appears tu run once in a msDos Windows, then stops
abruptly any second time, with this message:

     19 [main] ?
(5312) D:\open\gnu_utils\sh.exe: *** fatal error - couldn't allocate heap,
Win32 error 0, base 0x640000, top 0x6B0000, reserve_size 454656, allocsize
458752, page_const 4096

     14 [main] sh 5296
child_copy: stack write copy failed, 0x22CBB0..0x230000,done 0, windows pid
2280164, Win32 error 5

/cygdrive/d/open/wpkg/wa.sh: fork: No error

I am runing an old version of bash 3.00 ( The latest 3..2.49
has an other issue , I related in an other post:

"1/ new line in bash 3.00/3.2.49"

Christian